#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define 	module	prompt_toolkit
Summary:	Library for building powerful interactive command lines in Python
Summary(pl.UTF-8):	Biblioteka do budowania interaktywnych wierszy poleceń w Pythonie
Name:		python3-%{module}
Version:	3.0.41
Release:	3
License:	BSD
Group:		Libraries/Python
#Source0Download: https://github.com/prompt-toolkit/python-prompt-toolkit/releases
Source0:	https://github.com/prompt-toolkit/python-prompt-toolkit/archive/%{version}/python-prompt-toolkit-%{version}.tar.gz
# Source0-md5:	c7042d8cde35eb56c396c3ce0840a5b5
URL:		https://github.com/prompt-toolkit/python-prompt-toolkit
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-wcwidth
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
prompt_toolkit is a library for building powerful interactive command
lines and terminal applications in Python.

%description -l pl.UTF-8
prompt_toolkit to biblioteka do tworzenia interaktywnych wierwszy
poleceń i aplikacji terminalowych w Pythonie.

%package apidocs
Summary:	API documentation for prompt_toolkit module
Summary(pl.UTF-8):	Dokumentacja API modułu prompt_toolkit
Group:		Documentation

%description apidocs
API documentation for prompt_toolkit module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu prompt_toolkit.

%prep
%setup -q -n python-prompt-toolkit-%{version}

%build
%py3_build

%if %{with tests}
# test_print_tokens expects sequences emitted for xterm
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/src \
TERM=xterm \
%{__python3} -m pytest tests
%endif

%if %{with doc}
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version} -name '*.py' \
	| xargs sed -i '1s|/usr/bin/env python|%{__python3}|'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGELOG LICENSE PROJECTS.rst README.rst
%{py3_sitescriptdir}/prompt_toolkit
%{py3_sitescriptdir}/prompt_toolkit-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_images,_static,pages,*.html,*.js}
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-prompt_toolkit.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 3e40124
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 19be335
- python 3.13 rebuild

* Fri Dec 08 2023 Jakub Bogusz <qboosh@pld-linux.org> e6d0bff
- updated to 3.0.41

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> d3fb146
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6246a20
- rebuild with python 3.10

* Tue Apr 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 5e238da
- python-prompt_toolkit.spec updated to 3.0.5 (for python 3.6.1+)

